Contracts
Gets Consent Flow Contract Details
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/consent-flow-contract?uri=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"contract": {
"read": {
"anonymize": true,
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
}
},
"owner": {
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
},
"name": "text",
"subtitle": "text",
"description": "text",
"reasonForAccessing": "text",
"image": "text",
"uri": "text",
"needsGuardianConsent": true,
"redirectUrl": "text",
"frontDoorBoostUri": "text",
"createdAt": "text",
"updatedAt": "text",
"expiresAt": "text",
"autoBoosts": [
"text"
],
"writers": [
{
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
}
]
}Creates a Consent Flow Contract for a profile
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 700
{
"contract": {
"read": {
"anonymize": true,
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
}
},
"name": "text",
"subtitle": "text",
"description": "text",
"reasonForAccessing": "text",
"needsGuardianConsent": true,
"redirectUrl": "text",
"frontDoorBoostUri": "text",
"image": "text",
"expiresAt": "text",
"autoboosts": [
{
"boostUri": "text",
"signingAuthority": {
"endpoint": "text",
"name": "text"
}
}
],
"writers": [
"text"
]
}textThis route deletes a Consent Flow Contract
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
DELETE /api/consent-flow-contract?uri=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
trueGets Consent Flow Contracts for a profile
25Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contracts HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 352
{
"limit": 25,
"cursor": "text",
"sort": "text",
"query": {
"read": {
"anonymize": true,
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true
}
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true
}
}
}
}
}{
"cursor": "text",
"hasMore": true,
"records": [
{
"contract": {
"read": {
"anonymize": true,
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
}
},
"name": "text",
"subtitle": "text",
"description": "text",
"reasonForAccessing": "text",
"image": "text",
"uri": "text",
"needsGuardianConsent": true,
"redirectUrl": "text",
"frontDoorBoostUri": "text",
"createdAt": "text",
"updatedAt": "text",
"expiresAt": "text",
"autoBoosts": [
"text"
],
"writers": [
{
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
}
]
}
]
}This route grabs all the data that has been consented for a contract
25Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract/data-for-contract HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 188
{
"limit": 25,
"cursor": "text",
"sort": "text",
"uri": "text",
"query": {
"anonymize": true,
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
}
}
}{
"cursor": "text",
"hasMore": true,
"records": [
{
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": [
"text"
]
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"date": "text"
}
]
}This route grabs all the data that has been consented by a did
25Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract/data-for-did HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 183
{
"limit": 25,
"cursor": "text",
"sort": "text",
"did": "text",
"query": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
},
"id": "text"
}
}{
"cursor": "text",
"hasMore": true,
"records": [
{
"credentials": [
{
"category": "text",
"uri": "text"
}
],
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"date": "text",
"createdAt": "text",
"contractUpdatedAt": "text",
"contractExpiresAt": "text",
"reasonForAccessing": "text",
"guardian": {
"required": true,
"approved": true,
"approval": {
"guardianProfileId": "text",
"guardianDid": "text",
"approvedAt": "2026-01-01T00:00:00.000Z",
"contractUpdatedAt": "text"
}
},
"contractUri": "text",
"termsUri": "text",
"status": "live",
"expiresAt": "text",
"terms": {
"read": {
"anonymize": true,
"credentials": {
"shareAll": true,
"sharing": true,
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"sharing": true,
"shared": [
"text"
],
"shareAll": true,
"shareUntil": "text"
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"deniedWriters": [
"text"
]
}
}
]
}This route grabs all the data that has been consented for all of your contracts
25Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract/data HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 175
{
"limit": 25,
"cursor": "text",
"sort": "text",
"query": {
"anonymize": true,
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
}
}
}{
"cursor": "text",
"hasMore": true,
"records": [
{
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": [
"text"
]
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"date": "text"
}
]
}Writes a boost credential to a did that has consented to a contract
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract/write HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1254
{
"did": "text",
"contractUri": "text",
"boostUri": "text",
"credential": {
"@context": [
"text"
],
"id": "text",
"type": [
"text"
],
"issuer": "text",
"credentialSubject": {
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"refreshService": {
"id": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"credentialSchema": {
"id": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"issuanceDate": "text",
"expirationDate": "text",
"credentialStatus": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"name": "text",
"description": "text",
"validFrom": "text",
"validUntil": "text",
"status": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"termsOfUse": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"evidence": {
"id": "text",
"type": [
"text"
],
"name": "text",
"narrative": "text",
"description": "text",
"genre": "text",
"audience": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"renderMethod": {
"type": "text",
"renderSuite": "text",
"template": "text",
"renderProperty": [
"text"
],
"outputPreference": {
"mediaType": "text"
}
},
"proof": {
"type": "text",
"created": "text",
"challenge": "text",
"domain": "text",
"nonce": "text",
"proofPurpose": "text",
"verificationMethod": "text",
"jws": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}textIssues and sends a boost credential via a registered signing authority to a DID that has consented to a contract.
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract/write/via-signing-authority HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 106
{
"did": "text",
"contractUri": "text",
"boostUri": "text",
"signingAuthority": {
"name": "text",
"endpoint": "text"
}
}textConsents to a Contract with a hard set of terms
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract/consent HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 462
{
"terms": {
"read": {
"anonymize": true,
"credentials": {
"shareAll": true,
"sharing": true,
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"sharing": true,
"shared": [
"text"
],
"shareAll": true,
"shareUntil": "text"
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"deniedWriters": [
"text"
]
},
"contractUri": "text",
"expiresAt": "text",
"oneTime": true,
"recipientToken": "text"
}{
"termsUri": "text",
"redirectUrl": "text"
}Gets all consented contracts for a user
25Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contracts/consent HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 399
{
"limit": 25,
"cursor": "text",
"sort": "text",
"query": {
"read": {
"anonymize": true,
"credentials": {
"shareAll": true,
"sharing": true,
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"sharing": true,
"shared": [
"text"
],
"shareAll": true,
"shareUntil": "text"
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
}
}
}
}{
"cursor": "text",
"hasMore": true,
"records": [
{
"expiresAt": "text",
"oneTime": true,
"terms": {
"read": {
"anonymize": true,
"credentials": {
"shareAll": true,
"sharing": true,
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"sharing": true,
"shared": [
"text"
],
"shareAll": true,
"shareUntil": "text"
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"deniedWriters": [
"text"
]
},
"contract": {
"contract": {
"read": {
"anonymize": true,
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
}
},
"owner": {
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
},
"name": "text",
"subtitle": "text",
"description": "text",
"reasonForAccessing": "text",
"image": "text",
"uri": "text",
"needsGuardianConsent": true,
"redirectUrl": "text",
"frontDoorBoostUri": "text",
"createdAt": "text",
"updatedAt": "text",
"expiresAt": "text",
"autoBoosts": [
"text"
],
"writers": [
{
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
}
]
},
"uri": "text",
"consenter": {
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
},
"status": "live"
}
]
}Updates the terms for a consented contract
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract/consent/update HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 430
{
"uri": "text",
"terms": {
"read": {
"anonymize": true,
"credentials": {
"shareAll": true,
"sharing": true,
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"sharing": true,
"shared": [
"text"
],
"shareAll": true,
"shareUntil": "text"
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"deniedWriters": [
"text"
]
},
"expiresAt": "text",
"oneTime": true
}trueRemoves deleted credential URIs from any live consent terms that still reference them
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract/consent/prune-deleted-uris HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"deletedUris": [
"text"
]
}{
"contractsUpdated": 1,
"removedSharedUris": 1
}Withdraws consent by deleting Contract Terms
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
DELETE /api/consent-flow-contract/consent/withdraw?uri=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
trueGets the transaction history for a set of Consent Flow Contract Terms
25Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract/consent/history HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 505
{
"limit": 25,
"cursor": "text",
"sort": "text",
"uri": "text",
"query": {
"terms": {
"read": {
"anonymize": true,
"credentials": {
"shareAll": true,
"sharing": true,
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"sharing": true,
"shared": [
"text"
],
"shareAll": true,
"shareUntil": "text"
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
}
}
},
"action": "consent",
"date": {
"$gt": "text"
},
"expiresAt": {
"$gt": "text"
},
"oneTime": true
}
}{
"cursor": "text",
"hasMore": true,
"records": [
{
"expiresAt": "text",
"oneTime": true,
"terms": {
"read": {
"anonymize": true,
"credentials": {
"shareAll": true,
"sharing": true,
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"sharing": true,
"shared": [
"text"
],
"shareAll": true,
"shareUntil": "text"
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": true
}
},
"deniedWriters": [
"text"
]
},
"guardianApproval": {
"guardianProfileId": "text",
"guardianDid": "text",
"approvedAt": "2026-01-01T00:00:00.000Z",
"contractUpdatedAt": "text"
},
"id": "text",
"action": "consent",
"date": "text",
"uris": [
"text"
]
}
]
}Checks if a profile has consented to the specified contract
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/consent-flow-contract/verify?uri=text&profileId=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
trueSyncs credentials to a contract that the profile has consented to
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract/sync HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69
{
"termsUri": "text",
"categories": {
"ANY_ADDITIONAL_PROPERTY": [
"text"
]
}
}trueGets all credentials that were issued via a contract
25trueSuccessful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contract/credentials HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 83
{
"limit": 25,
"cursor": "text",
"sort": "text",
"termsUri": "text",
"includeReceived": true
}{
"cursor": "text",
"hasMore": true,
"records": [
{
"credentialUri": "text",
"termsUri": "text",
"contractUri": "text",
"boostUri": "text",
"category": "text",
"date": "text"
}
]
}Gets all credentials that were written to any terms owned by this profile
25falseSuccessful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contracts/credentials HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66
{
"limit": 25,
"cursor": "text",
"sort": "text",
"includeReceived": false
}{
"cursor": "text",
"hasMore": true,
"records": [
{
"credentialUri": "text",
"termsUri": "text",
"contractUri": "text",
"boostUri": "text",
"category": "text",
"date": "text"
}
]
}Adds one or more autoboost configurations to an existing consent flow contract. The caller must be the contract owner or a designated writer. The signing authority for each autoboost must be registered to the caller.
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contracts/autoboosts/add HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 110
{
"contractUri": "text",
"autoboosts": [
{
"boostUri": "text",
"signingAuthority": {
"endpoint": "text",
"name": "text"
}
}
]
}trueRemoves one or more autoboosts from an existing consent flow contract, identified by their boost URIs. The caller must be the contract owner or a designated writer.
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contracts/autoboosts/remove HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43
{
"contractUri": "text",
"boostUris": [
"text"
]
}trueSends the targeted user an AI insights consent flow request via a notification
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contracts/ai-insights/request HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66
{
"contractUri": "text",
"targetProfileId": "text",
"shareLink": "text"
}trueSends the targeted user an AI insights share notification
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contracts/ai-insights/share-request HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69
{
"childProfileId": "text",
"targetProfileId": "text",
"shareLink": "text"
}trueGets a list of users and their request statuses for a given contract.
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/consent-flow-contracts/sent-requests?contractUri=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"profile": {
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
},
"status": "pending",
"readStatus": "unseen"
}
]Returns the request status and read status for a given profile in a specific contract.
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/consent-flow-contracts/request-status?targetProfileId=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"profile": {
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
},
"status": "pending",
"readStatus": "unseen"
}Updates the read status of a contract request to "seen" for the specified target profile. Only contract writers are authorized to perform this action.
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contracts/mark-request-as-seen HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"contractUri": "text",
"targetProfileId": "text"
}trueRemoves a REQUESTED_FOR relationship, cancelling the request sent to the specified target profile. Only contract writers are authorized to perform this action.
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contracts/cancel-request HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"contractUri": "text",
"targetProfileId": "text"
}trueGets all contract requests from all contracts for a specified target profile. Users can query their own requests.
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/consent-flow-contracts/all-requests-for-profile?targetProfileId=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"contract": {
"read": {
"anonymize": true,
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"write": {
"credentials": {
"categories": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"personal": {
"ANY_ADDITIONAL_PROPERTY": {
"required": true,
"defaultEnabled": true
}
}
},
"uri": "text"
},
"profile": {
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
},
"status": "pending",
"readStatus": "unseen"
}
]Gets profiles with REQUESTED_FOR relationships targeting the current user, including request status.
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/consent-flow-contracts/shared-insights-requests-for-profile?targetProfileId=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"profile": {
"profileId": "text",
"displayName": "",
"shortBio": "",
"bio": "",
"did": "text",
"isPrivate": true,
"profileVisibility": "public",
"showEmail": false,
"allowConnectionRequests": "anyone",
"email": "text",
"image": "text",
"heroImage": "text",
"websiteLink": "text",
"isServiceProfile": false,
"type": "text",
"notificationsWebhook": "https://example.com",
"display": {
"backgroundColor": "text",
"backgroundImage": "text",
"fadeBackgroundImage": true,
"repeatBackgroundImage": true,
"fontColor": "text",
"accentColor": "text",
"accentFontColor": "text",
"idBackgroundImage": "text",
"fadeIdBackgroundImage": true,
"idBackgroundColor": "text",
"repeatIdBackgroundImage": true
},
"highlightedCredentials": [
"text"
],
"role": "",
"dob": "",
"country": "text",
"locale": "text",
"approved": true
},
"status": "pending",
"readStatus": "unseen",
"contractUri": "text"
}
]Forwards a contract request to another profile
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/consent-flow-contracts/forward-request-to-profile HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 72
{
"parentProfileId": "text",
"targetProfileId": "text",
"contractUri": "text"
}trueLast updated
Was this helpful?